#ifndef FUNCWIDGET2_H
#define FUNCWIDGET2_H

#include <QWidget>
#include "fancywindow.h"

QT_BEGIN_NAMESPACE
namespace Ui { class FuncWidget2Base; }
QT_END_NAMESPACE

class FuncWidget2Base : public QWidget
{
    Q_OBJECT

public:
    FuncWidget2Base(QWidget *parent = nullptr);
    ~FuncWidget2Base();

signals:
    void signalSave();
    void signalClose();

private:
    Ui::FuncWidget2Base *ui;
};

class FuncWidget2 : public FancyWindow
{
    Q_OBJECT

public:
    FuncWidget2(QWidget *parent = nullptr);
    ~FuncWidget2();

private:
    FuncWidget2Base* mFuncWidget2Base;
};


#endif // FUNCWIDGET2_H
